DataSync / Client / update_location_fsx_open_zfs
update_location_fsx_open_zfs¶
- DataSync.Client.update_location_fsx_open_zfs(**kwargs)¶
Modifies the following configuration parameters of the Amazon FSx for OpenZFS transfer location that you’re using with DataSync.
For more information, see Configuring DataSync transfers with FSx for OpenZFS.
Note
Request parameters related to
SMBaren’t supported with theUpdateLocationFsxOpenZfsoperation.See also: AWS API Documentation
Request Syntax
response = client.update_location_fsx_open_zfs( LocationArn='string', Protocol={ 'NFS': { 'MountOptions': { 'Version': 'AUTOMATIC'|'NFS3'|'NFS4_0'|'NFS4_1' } }, 'SMB': { 'Domain': 'string', 'MountOptions': { 'Version': 'AUTOMATIC'|'SMB2'|'SMB3'|'SMB1'|'SMB2_0' }, 'Password': 'string', 'User': 'string', 'ManagedSecretConfig': { 'SecretArn': 'string' }, 'CmkSecretConfig': { 'SecretArn': 'string', 'KmsKeyArn': 'string' }, 'CustomSecretConfig': { 'SecretArn': 'string', 'SecretAccessRoleArn': 'string' } } }, Subdirectory='string' )
- Parameters:
LocationArn (string) –
[REQUIRED]
Specifies the Amazon Resource Name (ARN) of the FSx for OpenZFS transfer location that you’re updating.
Protocol (dict) –
Specifies the data transfer protocol that DataSync uses to access your Amazon FSx file system.
NFS (dict) –
Specifies the Network File System (NFS) protocol configuration that DataSync uses to access your FSx for OpenZFS file system or FSx for ONTAP file system’s storage virtual machine (SVM).
MountOptions (dict) –
Specifies how DataSync can access a location using the NFS protocol.
Version (string) –
Specifies the NFS version that you want DataSync to use when mounting your NFS share. If the server refuses to use the version specified, the task fails.
You can specify the following options:
AUTOMATIC(default): DataSync chooses NFS version 4.1.NFS3: Stateless protocol version that allows for asynchronous writes on the server.NFSv4_0: Stateful, firewall-friendly protocol version that supports delegations and pseudo file systems.NFSv4_1: Stateful protocol version that supports sessions, directory delegations, and parallel data processing. NFS version 4.1 also includes all features available in version 4.0.
Note
DataSync currently only supports NFS version 3 with Amazon FSx for NetApp ONTAP locations.
SMB (dict) –
Specifies the Server Message Block (SMB) protocol configuration that DataSync uses to access your FSx for ONTAP file system’s SVM.
Domain (string) –
Specifies the name of the Windows domain that your storage virtual machine (SVM) belongs to.
If you have multiple domains in your environment, configuring this setting makes sure that DataSync connects to the right SVM.
If you have multiple Active Directory domains in your environment, configuring this parameter makes sure that DataSync connects to the right SVM.
MountOptions (dict) –
Specifies the version of the Server Message Block (SMB) protocol that DataSync uses to access an SMB file server.
Version (string) –
By default, DataSync automatically chooses an SMB protocol version based on negotiation with your SMB file server. You also can configure DataSync to use a specific SMB version, but we recommend doing this only if DataSync has trouble negotiating with the SMB file server automatically.
These are the following options for configuring the SMB version:
AUTOMATIC(default): DataSync and the SMB file server negotiate the highest version of SMB that they mutually support between 2.1 and 3.1.1. This is the recommended option. If you instead choose a specific version that your file server doesn’t support, you may get anOperation Not Supportederror.SMB3: Restricts the protocol negotiation to only SMB version 3.0.2.SMB2: Restricts the protocol negotiation to only SMB version 2.1.SMB2_0: Restricts the protocol negotiation to only SMB version 2.0.SMB1: Restricts the protocol negotiation to only SMB version 1.0.
Note
The
SMB1option isn’t available when creating an Amazon FSx for NetApp ONTAP location.
Password (string) –
Specifies the password of a user who has permission to access your SVM.
User (string) – [REQUIRED]
Specifies a user that can mount and access the files, folders, and metadata in your SVM.
For information about choosing a user with the right level of access for your transfer, see Using the SMB protocol.
ManagedSecretConfig (dict) –
Describes configuration information for a DataSync-managed secret, such as a
Passwordthat DataSync uses to access a specific storage location. DataSync uses the default Amazon Web Services-managed KMS key to encrypt this secret in Secrets Manager.Note
Do not provide this for a
CreateLocationrequest.ManagedSecretConfigis a ReadOnly property and is only be populated in theDescribeLocationresponse.SecretArn (string) –
Specifies the ARN for an Secrets Manager secret.
CmkSecretConfig (dict) –
Specifies configuration information for a DataSync-managed secret, which includes the password that DataSync uses to access a specific FSx for ONTAP storage location (using SMB), with a customer-managed KMS key.
When you include this parameter as part of a
CreateLocationFsxOntaprequest, you provide only the KMS key ARN. DataSync uses this KMS key together with thePasswordyou specify for to create a DataSync-managed secret to store the location access credentials.Make sure that DataSync has permission to access the KMS key that you specify. For more information, see Using a service-managed secret encrypted with a custom KMS key.
Note
You can use either
CmkSecretConfig(withPassword) orCustomSecretConfig(withoutPassword) to provide credentials for aCreateLocationFsxOntaprequest. Do not provide both parameters for the same request.SecretArn (string) –
Specifies the ARN for the DataSync-managed Secrets Manager secret that that is used to access a specific storage location. This property is generated by DataSync and is read-only. DataSync encrypts this secret with the KMS key that you specify for
KmsKeyArn.KmsKeyArn (string) –
Specifies the ARN for the customer-managed KMS key that DataSync uses to encrypt the DataSync-managed secret stored for
SecretArn. DataSync provides this key to Secrets Manager.
CustomSecretConfig (dict) –
Specifies configuration information for a customer-managed Secrets Manager secret where the password for an FSx for ONTAP storage location (using SMB) is stored in plain text, in Secrets Manager. This configuration includes the secret ARN, and the ARN for an IAM role that provides access to the secret. For more information, see Using a secret that you manage.
Note
You can use either
CmkSecretConfig(withPassword) orCustomSecretConfig(withoutPassword) to provide credentials for aCreateLocationFsxOntaprequest. Do not provide both parameters for the same request.SecretArn (string) –
Specifies the ARN for an Secrets Manager secret.
SecretAccessRoleArn (string) –
Specifies the ARN for the Identity and Access Management role that DataSync uses to access the secret specified for
SecretArn.
Subdirectory (string) – Specifies a subdirectory in the location’s path that must begin with
/fsx. DataSync uses this subdirectory to read or write data (depending on whether the file system is a source or destination location).
- Return type:
dict
- Returns:
Response Syntax
{}Response Structure
(dict) –
Exceptions